﻿
$ErrorActionPreference = 'Stop';

$packageName= 'dotnetcore-sdk'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.visualstudio.microsoft.com/download/pr/b7f0ae7f-d5ca-4fb4-98b3-8fe995504ee5/e8977000f2c78a7ff7970d3853f3a077/dotnet-sdk-2.1.520-win-x86.exe'
$checksum   = 'f2780533adbd4ea64195342977769e2867758fd2a6e379df2164177a4c8a6cc9f49d7a61995ad1541b339bd5306e72065ab242dcf63757eafa7aab01356f1e09'
$url64      = 'https://download.visualstudio.microsoft.com/download/pr/f519b394-990e-4b86-a252-27a76c69248d/41c2c92d915885bbfe62c0bcce9c5c6d/dotnet-sdk-2.1.520-win-x64.exe'
$checksum64 = '2ec5a0b6b7d9347f4d3a30f8983b084097198d0283e87ab6274064a6d4171a192edcbf296bb795f5c4d3f3f445a8aed9194b31d5f163c8528504f401a588ba25'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/install /quiet /norestart /log `"$env:TEMP\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'dotnet-core*'
  checksum      = $checksum
  checksumType  = 'SHA512'
  checksum64    = $checksum64
}

Install-ChocolateyPackage @packageArgs
